//
//Written by GowinSynthesis
//Tool Version "V1.9.9.02"
//Thu Apr 25 16:04:59 2024

//Source file index table:
//file0 "\C:/Gowin/Gowin_V1.9.9.02_x64/IDE/ipcore/FIFO_HS/data/fifo_hs.v"
//file1 "\C:/Gowin/Gowin_V1.9.9.02_x64/IDE/ipcore/FIFO_HS/data/fifo_hs_top.v"
`timescale 100 ps/100 ps
`pragma protect begin_protected
`pragma protect version="2.3"
`pragma protect author="default"
`pragma protect author_info="default"
`pragma protect encrypt_agent="GOWIN"
`pragma protect encrypt_agent_info="GOWIN Encrypt Version 2.3"

`pragma protect encoding=(enctype="base64", line_length=76, bytes=256)
`pragma protect key_keyowner="GOWIN",key_keyname="GWK2023-09",key_method="rsa"
`pragma protect key_block
W3HrOAkNrb9fyqeg7xkmFYNJEXf+2L4xAs1NganKSsLdhqtqnzGilurt3rhiuavKOthhpj0CIxX1
ZedEQJHy1YoMcnQT/3ZR2V3s3tn5tIa0uYYmQ8HT3UmPy8pHZ9XT/zgb2OmdgjJxDOHxDE7oxPBw
9cYYeTV+3m3U6h+r4eV1SJQSYMc4UjdcIpk/DWgts59MtW68EHUmHQxC7WbB6lq0/1Vwga5FznK/
+9xK15Qi3TKg78a8SyeARfBIq/ZyaIeoIf0QdOas+rARU4dzyqiiiy7sm42o4pyAR9PegR9hQGE7
t/bYNDjO0d+SB5/il7zBD/3fBQDGuJm2Z5KM7Q==

`pragma protect encoding=(enctype="base64", line_length=76, bytes=6368)
`pragma protect data_keyowner="default-ip-vendor"
`pragma protect data_keyname="default-ip-key"
`pragma protect data_method="aes128-cfb"
`pragma protect data_block
[encoded data, 8547 characters]
IsmCBviST/NaLrbecssUM4rq97mLxpIwmAMLvgPpLBryi3SVk7UkqtY=
`pragma protect end_protected
module Fifo16x3 (
  Data,
  Reset,
  WrClk,
  RdClk,
  WrEn,
  RdEn,
  Q,
  Empty,
  Full
)
;
input [15:0] Data;
input Reset;
input WrClk;
input RdClk;
input WrEn;
input RdEn;
output [15:0] Q;
output Empty;
output Full;
wire VCC;
wire GND;
  \~fifo.Fifo16x3  fifo_inst (
    .Reset(Reset),
    .RdClk(RdClk),
    .WrClk(WrClk),
    .WrEn(WrEn),
    .RdEn(RdEn),
    .Data(Data[15:0]),
    .Empty(Empty),
    .Full(Full),
    .Q(Q[15:0])
);
  VCC VCC_cZ (
    .V(VCC)
);
  GND GND_cZ (
    .G(GND)
);
  GSR GSR (
    .GSRI(VCC) 
);
endmodule /* Fifo16x3 */
